Create Claim

Partners could use this endpoint to generate and create a new claim. Qoala will validate and make sure the policy is claimable. Qoala will share the claim number in the response and if needed could also notify the partner via callback Integration.

List of Claim Status

Status CodeClaim Status (Subject)Description
CLAIM_INITIATEClaim initiatedWhen the claimer successfully submitted a claim
QOALA_CLAIM_APPROVEClaim received by QoalaQoala approved the claim
QOALA_CLAIM_REJECTClaim rejected by QoalaQoala rejects the claim
INSURANCE_CLAIM_APPROVEClaim approved by InsuranceInsurance approved the claim
INSURANCE_CLAIM_REJECTClaim rejected by InsuranceInsurance rejected the claim
INSURANCE_CLAIM_PAIDClaim paid by InsuranceClaim already paid by insurance
INSURANCE_CLAIM_WAITING_PAIDClaim Waiting paidClaim already approved by insurance and waiting for paid

Each status code corresponds to a specific claim status, providing information about the state of the claim in the system.

Body Params

Payload for creating claim

string
required

Unique policy number generated by the Qoala system

number
required

Total Claim amount
*for finance product the value is equal to outstanding amount

date-time
required

Date and time when the customer submitted the claim to the partner

string
required

Unique claim identifier generated by the partner system

product
object
required

Product information

claimant_data
object
required

Claimant information

string

Required for travel product. Must match the value of TRIP_CARRIER_NUMBER in form_data (the trip being claimed).

form_data
array of objects

Claim form data. Required for travel product.

Fields whose name starts with COVERED_ (and travel TRIP_CARRIER_NUMBER) identify what is being claimed — the value is the name or identifier of that covered user, trip, goods, vehicle, package, gadget, pet, or loan.

Product categoryform_data.name (covered field)
TRAVEL, MICROHEALTHCOVERED_USERS
GOODSCOVERED_GOODS
VEHICLECOVERED_VEHICLE
LOGISTICCOVERED_PACKAGE
GADGETCOVERED_GADGET
MICROHEALTHCOVERED_PET
TRAVELTRIP_CARRIER_NUMBER (also send the same value in top-level covered_trip)
FINANCE, MICROHEALTH (CRDL)COVERED_LOAN

Other name values are additional claim questions (for example chronology, place of accident).

form_data
supporting_documents
array of objects

Supporting documents uploaded for the claim

supporting_documents
bank_detail
object

Bank account information for claim disbursement

claim_additional_info
object

Claim additional info currently only applicable for specific product category.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json